Bug 443197 - Error message from Gnome Settings Daemon after booting [NEEDINFO]
Error message from Gnome Settings Daemon after booting
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-19 03:31 EDT by n_k_samal
Modified: 2009-07-14 11:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:04:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: needinfo? (n_k_samal)

Attachments (Terms of Use)

  None (edit)
Description n_k_samal 2008-04-19 03:31:17 EDT
Description of problem:
Whenever any non root user logs in a error window appears saying that "There 
was an error starting the Gnome Setting Daemon."

Version-Release number of selected component (if applicable):
gnome-settings-daemon as it comes with Fedora-9-Beta-i386

How reproducible:
Log in as any user other than root

Steps to Reproduce:
1.Select or type the user name in graphical loging screen (Ctrl+Alt+F7)
2.Enter password
Actual results:
A warning window appears with the message

There was an error starting the Gnome Settings Daemon.

Somethings such as themes, sounds, or backgound settings may not work correctly.

The last error message was:

Did not receive a reply. Possible causes include: the remote application did 
not send a reply, the message bus security policy blocked the reply, the reply 
time out expired, or the network connection was broken.

Gnome will still try to restart the Settings Daemon next tiem you log in.

Expected results:
Desktop should appear

Additional info:
The full hardware profile is available at 
One a while the graphical desktop appears but most of the time the error window 
appears while logging in.
After cancelling the error window the session resumes.
Comment 1 Matthias Clasen 2008-05-05 01:45:26 EDT
what output do you get if you run /usr/libexec/gnome-settings-daemon manually in
a terminal in the session ?
Comment 2 Bug Zapper 2008-05-14 05:42:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Laurie Reeves 2008-05-28 14:03:18 EDT
I am also seeing this problem (Fedora 8). When typing
/usr/libexec/gnome-settings-daemon in a terminal I see:
Segmentation fault (core dumped)

Here's a core dump (12MB):

Doing a backtrace seems to point to libxklavier (...high-level API for X
Keyboard Extension...).
Comment 4 Gary Wright II 2008-07-06 23:11:48 EDT
Same issue exists in FC9 x86_64
Comment 5 Gary Wright II 2008-07-10 02:16:36 EDT
Using FC9 x86_64 - If I log in as root it works, but logging in as any other
user displays an error starting Gnome settings daemon "Connection was
disconnected before a reply was received"

When in a terminal session and run /usr/libexec/gnome-settings-daemon from the
command line I get:
** (gnome-settings-daemon:13014): WARNING **: Couldn't connect to session bus:
Failed to connect to socket /tmp/dbus-gj2cq4plBc: Connection refused

** (gnome-settings-daemon:13014): WARNING **: Could not get a connection to the bus
I get the same message for both root and for regular user.
Comment 6 JonathonChiu 2008-07-16 19:14:42 EDT
I am using Fedora9 i386 and have the similar problem and error message
in addition packagekit (Add/Remove Software) does not work
when i run /usr/libexec/gnome-setting-daemon, i get "no such file/directory"
message both for root and regular user
Comment 7 Um Nontasuwan 2008-07-17 02:48:05 EDT
I think maybe this problem involve with some hardware or drivers. I have this
problem with my computer too, but it doesn't happen when I setup fedora 9 with
other computers. ( With the same setup disc )
Comment 8 Gary Wright II 2008-07-31 01:22:39 EDT
I think I have figured out this problem, but I would like someone to confirm my
findings.  Since the bug doesn't appear to be in gnome-settings-daemon, should
this bug be closed?  
The bug isn't in gnome-settings-daemon.  The gnome-settings-daemon is crashing
because the dbus daemon is not running for user sessions other than root.  If I
log in as root, the system bus is properly initialized:
dbus    dbus-daemon --system
gdm     /usr/bin/dbus-launch --exit-with-session
root    dbus-launch --sh-syntax --exit-with-session
root    /bin/dbus-daemon --fork --print-pid 7 --print-address 9 --session

When I log in as a user, the dbus-daemon launches the system context, but it
fails to start fork in the session context.  The value of
DBUS_SESSION_BUS_ADDRESS is not set correctly, so dbus can't find the right path.

If I set the value by hand, it starts up. In the following example, I just enter
dbus-launch with no arguments and it returns a good PID and BUS_ADDRESS.
I then set DBUS_SESSION_BUS_ADDRESS to equal the path given by dbus-launch.  I
export DBUS_SESSION_BUS_ADDRESS, and then echo it back to be sure:

>] dbus-launch





>] /usr/libexec/gnome-settings-daemon 
I don't know where the $DBUS_SESSION_BUS_ADDRESS is initialized, so I still
don't know how to fix this issue.  Why does root initialize and users fail? 
Anyone know what to do now?
Comment 9 Gary Wright II 2008-08-05 23:35:00 EDT
(In reply to comment #8)
This issue only shows up for user accounts that existed before the upgrade to FC9.
If I create a new user (after the upgrade) then the problem doesn't show up for the new users.

I still think the problem is with configuration files related to D-Bus sessions, but I haven't been able to find the file that is the culprit.

I would like to find a list of files that are executing after user authentication. Does anybody have a suggestion on which files might be the problem?
Comment 10 Daniel Ramawidjaja 2008-11-17 19:15:38 EST
In my case, the issue not only for user accounts that existed before upgrade.
I had created a new user and try to log on, and no problems. but after restart with the new user, I got the same gnome settings daemon error.
It seems that I can still use my Fedora like playing sounds, change background,
and anything. But the error annoying me a lot. because it slows at the beginning after restart before normal work.
Please help!
Comment 11 Bastien Nocera 2009-04-27 10:11:58 EDT
Looks like the GNOME session isn't started with a session bus, as it should. Could you check whether you have any X session startup files in your home directory? Most likely something like .xinitrc, or .Xsession.
Comment 12 Bug Zapper 2009-06-09 20:16:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 13 Bug Zapper 2009-07-14 11:04:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.